Package org.eclipse.birt.report.model.api

# Class ExtendedPropertyHandle

java.lang.Object
org.eclipse.birt.report.model.api.ElementDetailHandle
org.eclipse.birt.report.model.api.ValueHandle
org.eclipse.birt.report.model.api.StructureHandle
org.eclipse.birt.report.model.api.ExtendedPropertyHandle

public class ExtendedPropertyHandle extends StructureHandle
Represents the handle of Extended property. The Extended property represents an Extended public or private property. The property has two parts: a name and a value.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle

`structContext`

### Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`elementHandle`

## Constructor Summary

Constructors
Constructor
Description
`ExtendedPropertyHandle(SimpleValueHandle valueHandle, int index)`
Constructs the handle of Extended property.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Returns the property name.
`String`
`getValue()`
Returns the property value.
`void`
`setName(String name)`
Sets the property name.
`void`
`setValue(String value)`
Sets the property value.

### Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle

`drop, getContext, getDefn, getExpressionProperty, getExternalizedValue, getExternalizedValue, getIntProperty, getMember, getProperty, getPropertyDefn, getStringProperty, getStructure, isDesignTime, isLocal, iterator, setDesignTime, setExpressionProperty, setProperty, setPropertySilently`

### Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle

`getReference`

### Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`getDesign, getElement, getElementHandle, getModule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExtendedPropertyHandle

public ExtendedPropertyHandle(SimpleValueHandle valueHandle, int index)
Constructs the handle of Extended property.

Parameters:
  `valueHandle` - the value handle for Extended property list of one property
  `index` - the position of this Extended property in the list

## Method Details

### getName

public String getName()
Returns the property name.

Returns:
  the property name

### setName

public void setName(String name)
Sets the property name.

Parameters:
  `name` - the property name to set

### getValue

public String getValue()
Returns the property value.

Returns:
  the property value

### setValue

public void setValue(String value)
Sets the property value.

Parameters:
  `value` - the value to set